export default {
    system: {
        complaint: {
            url: "/wxapp/user/complaint",
            showLoading: true,
        },
        uploadFile: {
            url: "/wxapp/index/one",
            showLoading: true,
        },
        notify: {
            list: {
                url: "/wxapp/index/newlistbycateid",
                showLoading: true,
            }
        },
        config: {
            url: "/wxapp/index/about",
        }
    },
    index: {
        banner: {
            url: "/wxapp/index/banner",
        },
        nav: {
            url: "/wxapp/index/getindexmenu"
        }
    },
    user: {
        sendCode: {
            url: "/wxapp/public/send",
        },
        openId: {
            url: "/wxapp/public/getopenid",
        },
        register: {
            url: "/wxapp/public/register",
            showLoading: true,
        },
        login: {
            url: "/wxapp/public/login",
            showLoading: true,
        },
        resetPassword: {
            url: "/wxapp/public/passwordReset",
            showLoading: true,
        },
        info: {
            url: "/wxapp/user/getuserinfo",
            auth: true,
        },
        save: {
            url: "/wxapp/user/setuserinfo",
            showLoading: true,
            auth: true,
        },
        address: {
            list: {
                url: "/wxapp/Useraddress/getalladdress",
                showLoading: true,
                auth: true,
            },
            edit: {
                url: "/wxapp/Useraddress/applyaddress",
                auth: true,
            },
            detail: {
                url: "/wxapp/Useraddress/addressinfo",
                showLoading: true,
                auth: true,
            },
            delete: {
                url: "/wxapp/Useraddress/deleteaddress",
                auth: true,
            }
        },
        registerType: {
            url: "/wxapp/index/registertype",
            showLoading: true,
        }
    },
    service: {
        cart: {
            toCart: {
                url: "/wxapp/order/addshoppingcar",
                showLoading: true,
                auth: true,
            },
            add: {
                url: "/wxapp/order/shoppingcarpush",
                showLoading: true,
                auth: true,
            },
            sub: {
                url: "/wxapp/order/shoppingcarsend",
                showLoading: true,
                auth: true,
            },
            delete: {
                url: "/wxapp/order/deleteshoppingcar",
                showLoading: true,
                auth: true,
            },
            list: {
                url: "/wxapp/order/myshoppingcar",
                auth: true,
            },
        },
        insurance: {
            url: "/wxapp/index/getyiwai",
        },
        hotCate: {
            url: "/wxapp/index/hotcategory",
            showLoading: true,
        },
        cate: {
            url: "/wxapp/index/category1",
            showLoading: true,
        },
        list: {
            url: "/wxapp/index/getcategorybyid",
            showLoading: true,
        },
        detail: {
            url: "/wxapp/index/goodsinfobyid",
            showLoading: true,
        },
        project: {
            url: "/wxapp/project/applyinfo",
            showLoading: true,
            auth: true,
        },
        business: {
            url: "/wxapp/project/applyinfob",
            showLoading: true,
            auth: true,
        },
        afterMarket: {
            url: "/wxapp/project/applyguarantee",
            showLoading: true,
            auth: true,
        },
        distribution: {
            config: {
                url: "/wxapp/index/getdistributionmoney"
            },
            carType: {
                url: "/wxapp/index/getallcar"
            },
        }
    },
    order: {
        create: {
            t1: {
                url: "/wxapp/order/submitordera",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/wxapp/orderb/addorder",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/wxapp/project/distribution",
                showLoading: true,
                auth: true,
            }
        },
        pay: {
            t1: {
                url: "/wxapp/wxpay/payordera",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/wxapp/wxpay/payorderc",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/wxapp/wxpay/payorderd",
                showLoading: true,
                auth: true,
            }
        },
        retainage: {
            t1: {
                url: "/wxapp/wxpay/payorderb",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/wxapp/wxpay/payorderce",
                showLoading: true,
                auth: true,
            }
        },
        list: {
            t1: {
                url: "/wxapp/order/getmyorder",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/wxapp/orderb/getmyorderblist",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/wxapp/project/freightorder",
                showLoading: true,
                auth: true,
            },
        },
        detail: {
            t1: {
                url: "/user/workerorderb/orderinfo",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/wxapp/orderb/getmyorderbbyid",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/user/workerorder/getcarorderinfobyid",
                showLoading: true,
                auth: true,
            },
        },
        finish: {
            t1: {
                url: "/wxapp/order/orderok",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/wxapp/orderb/orderok",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/wxapp/project/carorderok",
                showLoading: true,
                auth: true,
            }
        },
        refund: {
            t1: {
                url: "/wxapp/order/backmoney",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/wxapp/orderb/backmoney",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: ""
            },
        },
        cancel: {
            t1: {
                url: "/wxapp/order/cancelorder",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/wxapp/orderb/cancelorder",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/wxapp/project/claerorderbyid",
                showLoading: true,
                auth: true,
            }
        },
        appraise: {
            t1: {
                url: "/wxapp/order/evaluationorder",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/wxapp/orderb/evaluationorder",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: ""
            }
        },
        changeServiceTime: {
            t1: {
                url: "/wxapp/order/saveordrbyid",
                showLoading: true,
                auth: true,
            },
            t2: {
                url: "/wxapp/orderb/saveordrbyid",
                showLoading: true,
                auth: true,
            },
            t3: {
                url: "/wxapp/project/saveordrbyid",
                showLoading: true,
                auth: true,
            }
        },
        chooseWorker: {
            url: "/wxapp/orderb/chooseshifu",
            showLoading: true,
            auth: true,
        }
    },
    appraise: {
        count: {
            service: {
                url: "/wxapp/index/seeworkerevaluation",
            },
            worker: {
                url: "/wxapp/orderb/seeworkerevaluation",
            }
        },
        list: {
            service: {
                url: "/wxapp/index/goodsevaluation",
                showLoading: true,
            },
            worker: {
                url: "/wxapp/orderb/allevaluation",
                showLoading: true,
            }
        }
    },
    worker: {
        detail: {
            url: "/wxapp/orderb/getworkerbyid",
            showLoading: true,
        }
    }
}
