import cart from '@/core/models/cart';

export default {
    namespaced: true,
    state: {
        count: 0,
        briefCart: {
            loaded: false,
            ids: [],
            list: {},
        },
    },
    getters: {},
    mutations: {
        count(state, data) {
            state.count = data;
        },
        briefCart(state, data) {
            state.briefCart = data;
        }
    },
    actions: {
        update(context, refresh) {
            if (!context.state.briefCart.loaded || refresh) {
                cart.list().then((list) => {
                    let count = 0, data = {
                        ids: [],
                        list: {},
                    };
                    list.forEach((item) => {
                        item.good.forEach((k) => {
                            count += k.number;
                            data.list[k.gid] = k.number;
                        });
                    });
                    data.ids = Object.keys(data.list);
                    context.commit('briefCart', {
                        ...data,
                        loaded: true,
                    });
                    context.commit('count', count);
                });
            }
        }
    }
}
